<?php

	if($go=="strona-glowna" and $_POST['akcja']=="logowanie"){
		if(isset($_POST['email']) and isset($_POST['haslo'])){
			$row = mysql_fetch_array(mysql_query("SELECT SQL_CACHE * FROM gracze WHERE email='".$_POST['email']."' LIMIT 1;"));
			if($row['id']==NULL){
				$tpl->assign("komunikat_logowania", "Konto ".$_POST['email']." o takim adresie nie istnieje w bazie.");
			}else{
				if($row['stan']==0){
					$tpl->assign("komunikat_logowania", "Konto zostało zablokowane.");
				}else{
					if(md5($_POST['haslo'])!=$row['haslo']){
						$tpl->assign("komunikat_logowania", "Podane hasło jest błędne.");
					}else{

						$_SESSION['id_gracza'] = $row['id'];
						$_SESSION['nazwa_gracza'] = $row['nazwa'];
						$_SESSION['email_gracza'] = $_POST['email'];
						$_SESSION['pokoj_gracza'] = $row['id_pokoju'];
						$_SESSION['pionek_gracza'] = $row['pionek'];
						$_SESSION['pozycja_gracza'] = $row['pozycja'];
						$_SESSION['miejsce_gracza'] = $row['miejsce'];



						$update = mysql_query("UPDATE gracze SET czas_logowania='".time()."', czas_aktywnosci='".time()."', czas_logowania_poprzedniego='".$row['czas_logowania']."' WHERE id='".$row['id']."' LIMIT 1;");
;
						header('Location: gra.html#'.$row['pozycja']);

					}
				}
			}
		}else{
			$tpl->assign("komunikat_logowania", "Email i hasło są polami wymaganymi.");
		}
	}

	if($go=="gra" and $go2=="wyloguj"){

		$update = mysql_query("UPDATE gracze SET czas_aktywnosci='".(time()-(10*60))."' WHERE id='".$_SESSION['id_gracza']."' LIMIT 1;");

		$_SESSION['id_gracza'] = NULL;
		$_SESSION['nazwa_gracza'] = NULL;

		$_SESSION['email_gracza'] = NULL;
		$_SESSION['pokoj_gracza'] = NULL;
		$_SESSION['pionek_gracza'] = NULL;
		$_SESSION['pozycja_gracza'] = NULL;

		$_SESSION['miejsce_gracza'] = NULL;

		header('Location: ./');
		exit;

	}

?>